<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

	class Start extends CI_Controller {
	
		/*
		 *	Constructor
		 */
		function __construct() {
			parent::__construct();
			//Load required library
			$this->load->model('user', '', TRUE);
			$this->load->model('admin/admin_model', '', TRUE);
		}
	
		/*
		 *	This function runs when the user navigates directly to the start controller
		 */
		public function index() {
			if($this->user->isLoggedIn()) {
				//User already logged in
				redirect(base_url().'home', 'refresh');
			} else {
				//Display the start page
				$this->drawStartPage('');
			}
		}		
	
		/*
		 *	This function draws the start page.
		 */
		private function drawStartPage() {
			$userName = $this->user->getUserName();
			$userType = $this->user->getUserType();
			//Creates an array with all courses.
			$courses = $this->admin_model->getCourses();
			
			//Creates an array with the variables that the bannermenu-view is expecting.
			$data = array(
				'userType' => $userType,
				'userName' => $userName,
				'courses' => $courses
			);
			
			//Creates an array with the necessary css- and jsfiles needed for the views that are about to be shown.
			$headTagData = array(
				'cssFiles' => array('bannermenu', 'startview'),
				'jsFiles' => array('bannermenu')
			);
			
			//Puts the array above in <head></head>
			$this->load->view('headTag', array('headTagData' => $headTagData));	
			
			$this->load->view('bannermenu', $data);
			$this->load->view('startview', $data);
		}
	}
?>
